%define gclver	2.5.3

Summary:	GNU Common Lisp
Name:		gcl
Version:	2.5.3
Release:	2mdk
License:	LGPL
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
URL:		http://savannah.gnu.org/projects/gcl
BuildRequires:  tetex-dvipdfm
BuildRequires:	tk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GCL is a Common Lisp currently compliant with the CLtL1 standard. Lisp
compilation produces native code through the intermediary of the system's C
compiler, from which GCL derives efficient performance and facile
portability. Currently uses TCL/Tk as GUI.

%prep
%setup  -q

%build
aclocal && autoconf
%configure2_5x --enable-notify=no
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
(cd info
make gcl-tk.dvi gcl-si.dvi
dvipdfm gcl-tk.dvi
dvipdfm gcl-si.dvi)
%makeinstall DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -rf $RPM_BUILD_ROOT%{_libdir}/gcl-%{gclver}/info
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
install -m 644 man/man1/gcl.1 $RPM_BUILD_ROOT%{_mandir}/man1


%post
%_install_info gcl.info
%_install_info gcl-si.info
%_install_info gcl-tk.info

%postun
%_remove_install_info gcl.info
%_remove_install_info gcl-si.info
%_remove_install_info gcl-tk.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme faq ChangeLog info/*.pdf
%dir %{_libdir}/gcl-%{gclver}
%{_bindir}/gcl
%{_libdir}/gcl-%{gclver}/cmpnew
%{_libdir}/gcl-%{gclver}/gcl-tk
%{_libdir}/gcl-%{gclver}/h
%{_libdir}/gcl-%{gclver}/lsp
%{_libdir}/gcl-%{gclver}/unixport
%{_datadir}/emacs/*
%{_infodir}/gcl*.info*
%{_mandir}/man1/*

%changelog
* Thu Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5.3-2mdk
- Rebuilt.

* Wed Aug 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5.3-1mdk
- Release 2.5.3.
- Fixed distriblint DIRM prob.

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.4.3-2mdk
- Rebuilt.

* Mon Nov 25 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.4.3-1mdk
- Initial build.
